Name:           forge-parent
Version:        38
Release:        %mkrel 6
Group:          Development/Java
Summary:        Sonatype Forge Parent Pom
License:        ASL 2.0
URL:            https://docs.sonatype.org/display/FORGE/Index
Source0:        http://repo1.maven.org/maven2/org/sonatype/forge/%{name}/%{version}/%{name}-%{version}.pom
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
BuildArch:      noarch
BuildRequires:  maven-local

%description
Sonatype Forge is an open-source community dedicated to the creation of the 
next-generation of development tools and technologies.

%prep
%setup -qcT
cp -p %{SOURCE0} pom.xml
cp -p %{SOURCE1} LICENSE
# We don't have nexus-staging-maven-plugin in Fedora
%pom_remove_plugin :nexus-staging-maven-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 38-6.mga6
+ Revision: 982103
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 38-5.mga6
+ Revision: 976231
- First rebuild of the java stack
- sync package forge-parent with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 31-4.mga5
+ Revision: 740399
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 31-2.mga4
+ Revision: 535772
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 dmorgan <dmorgan> 31-1.mga4
+ Revision: 482568
+ rebuild (emptylog)

* Fri Jan 11 2013 umeabot <umeabot> 5-9.mga3
+ Revision: 350781
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 5-8.mga3
+ Revision: 324212
- Rebuild against Java 7

* Thu Apr 28 2011 dmorgan <dmorgan> 5-7.mga1
+ Revision: 92442
- Rebuild after bootstrapping
- imported package forge-parent


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu May 20 2010 Weinan Li <weli@redhat.com> - 5-5
- Rebuild for dist-f14-maven221

* Thu May 20 2010 Weinan Li <weli@redhat.com> - 5-4
- Change JPP.%%{name}.pom to JPP-%%{name}.pom

* Fri May 14 2010 Weinan Li <weli@redhat.com> - 5-3
- Each package must consistently use macros, use rm instead of all %%{_rm}
- Add Requires: jpackage-utils

* Thu May 13 2010 Weinan Li <weli@redhat.com> - 5-2
- Add the license source note
- Cleanup the svn metadata in source
- Add the full instructions for creating the tar in the comment 

* Wed May 12 2010 Weinan Li <weli@redhat.com> - 5-1
- Initial version



